Commit fd3b1b6c authored by Jean-Baptiste Kempf's avatar Jean-Baptiste Kempf

Rename qt4 plugin to qt

parent c27d273b
......@@ -956,7 +956,7 @@ svlc: make-alias Makefile
$(AM_V_GEN)$(MKALIAS) skins2
qvlc: make-alias Makefile
$(AM_V_GEN)$(MKALIAS) qt4
$(AM_V_GEN)$(MKALIAS) qt
nvlc: make-alias Makefile
$(AM_V_GEN)$(MKALIAS) ncurses
......
......@@ -3778,11 +3778,11 @@ AC_ARG_ENABLE(qt, [
AS_IF([test "${enable_qt}" != "no"], [
PKG_CHECK_MODULES([QT], [Qt5Core >= 5.1.0 Qt5Widgets Qt5Gui], [
PKG_CHECK_MODULES([QTX11], [Qt5X11Extras], [
VLC_ADD_LIBS([qt4],[${QTX11_LIBS}])
VLC_ADD_CXXFLAGS([qt4],[${QTX11_CFLAGS} -DQT5_HAS_X11])
VLC_ADD_LIBS([qt],[${QTX11_LIBS}])
VLC_ADD_CXXFLAGS([qt],[${QTX11_CFLAGS} -DQT5_HAS_X11])
PKG_CHECK_MODULES([XI], [xi], [
VLC_ADD_LIBS([qt4], [${XI_LIBS}])
VLC_ADD_CXXFLAGS([qt4], [${XI_CFLAGS} -DHAVE_XI])
VLC_ADD_LIBS([qt], [${XI_LIBS}])
VLC_ADD_CXXFLAGS([qt], [${XI_CFLAGS} -DHAVE_XI])
], [
PKG_CHECK_EXISTS([Qt5Gui >= 5.5], [
AC_MSG_ERROR([${XI_PKG_ERRORS}.])
......@@ -3814,10 +3814,10 @@ AS_IF([test "${enable_qt}" != "no"], [
])
])
AS_IF([test "${enable_qt}" != "no"], [
VLC_ADD_PLUGIN([qt4])
VLC_ADD_PLUGIN([qt])
ALIASES="${ALIASES} qvlc"
])
AM_CONDITIONAL(ENABLE_QT4, [test "$enable_qt" != "no"])
AM_CONDITIONAL(ENABLE_QT, [test "$enable_qt" != "no"])
dnl
dnl detect kde4-config patch (used for kde solids and kwallet).
......@@ -3832,10 +3832,10 @@ dnl Simple test for skins2 dependency
dnl
AS_IF([test "$enable_qt" = "no"], [
AS_IF([test "${enable_skins2}" = "yes"], [
AC_MSG_ERROR([The skins2 module depends on the Qt4 interface. Without it you will not be able to open any dialog box from the interface, which makes the skins2 interface rather useless. Install the Qt4 development package or alternatively you can also configure with: --disable-qt4 --disable-skins2.])
AC_MSG_ERROR([The skins2 module depends on the Qt interface. Without it you will not be able to open any dialog box from the interface, which makes the skins2 interface rather useless. Install the Qt development package or alternatively you can also configure with: --disable-qt --disable-skins2.])
], [
enable_skins2="no"
AC_MSG_WARN([The skins2 module depends on the Qt4 interface, Qt4 is not built so skins2 is disabled.])
AC_MSG_WARN([The skins2 module depends on the Qt interface, Qt is not built so skins2 is disabled.])
])
])
......@@ -4129,7 +4129,7 @@ AS_IF([test "${SYS}" != "mingw32" -a "${SYS}" != "darwin" \
-a "${enable_kwallet}" != "no" ], [
VLC_SAVE_FLAGS
AC_LANG_PUSH([C++])
KWALLET_CXXFLAGS="$QT_CFLAGS $CXXFLAGS_qt4 -I`$KDE4_CONFIG --path include`"
KWALLET_CXXFLAGS="$QT_CFLAGS $CXXFLAGS_qt -I`$KDE4_CONFIG --path include`"
CPPFLAGS="$CPPFLAGS $KWALLET_CXXFLAGS"
AC_CHECK_HEADER([kwallet.h], [
KWALLET_LIBS="$QT_LIBS -L`$KDE4_CONFIG --install lib` -lkdeui"
......
......@@ -307,7 +307,7 @@ $Id$
* puzzle: puzzle video filter
* pva: PVA demuxer
* qsv: QuickSyncVideo Encoder for Intel hardware
* qt4: interface module using the cross-platform Qt4 library
* qt: interface module using the cross-platform Qt widget library
* qtsound: Quicktime Audio Capture
* quicktime: Quicktime decoder that uses the QT library
* rar: RAR access and stream filter
......
......@@ -6,7 +6,7 @@ DIST_SUBDIRS += gui/macosx gui/qt gui/skins2
if ENABLE_MACOSX_UI
SUBDIRS += gui/macosx
endif
if ENABLE_QT4
if ENABLE_QT
SUBDIRS += gui/qt
endif
if BUILD_SKINS
......
......@@ -14,25 +14,25 @@ guidir = $(pluginsdir)/gui
SUFFIXES += .ui .h .hpp .moc.cpp
libqt4_plugin_la_CXXFLAGS = $(AM_CXXFLAGS) $(QT_CFLAGS) $(CXXFLAGS_qt4)
libqt4_plugin_la_LIBADD = $(QT_LIBS) $(LIBS_qt4) $(LIBM)
libqt4_plugin_la_LDFLAGS = $(AM_LDFLAGS) -rpath '$(guidir)'
libqt_plugin_la_CXXFLAGS = $(AM_CXXFLAGS) $(QT_CFLAGS) $(CXXFLAGS_qt)
libqt_plugin_la_LIBADD = $(QT_LIBS) $(LIBS_qt) $(LIBM)
libqt_plugin_la_LDFLAGS = $(AM_LDFLAGS) -rpath '$(guidir)'
if HAVE_OS2
else
if HAVE_WIN32
libqt4_plugin_la_LIBADD += -lole32 -lcomctl32 -luuid
libqt_plugin_la_LIBADD += -lole32 -lcomctl32 -luuid
else
libqt4_plugin_la_LIBADD += $(X_LIBS) $(X_PRE_LIB) -lX11
libqt_plugin_la_LIBADD += $(X_LIBS) $(X_PRE_LIB) -lX11
endif
endif
if HAVE_DARWIN
libqt4_plugin_la_LDFLAGS += -Wl,-framework,Cocoa
libqt_plugin_la_LDFLAGS += -Wl,-framework,Cocoa
endif
gui_LTLIBRARIES = $(LTLIBqt4)
EXTRA_LTLIBRARIES = libqt4_plugin.la
gui_LTLIBRARIES = $(LTLIBqt)
EXTRA_LTLIBRARIES = libqt_plugin.la
libqt4_plugin_la_SOURCES = \
libqt_plugin_la_SOURCES = \
qt4.cpp qt4.hpp \
menus.cpp menus.hpp \
main_interface.cpp main_interface.hpp \
......@@ -116,7 +116,7 @@ libqt4_plugin_la_SOURCES = \
util/singleton.hpp \
styles/seekstyle.cpp styles/seekstyle.hpp
if HAVE_WIN32
libqt4_plugin_la_SOURCES += main_interface_win32.cpp
libqt_plugin_la_SOURCES += main_interface_win32.cpp
endif
# Meta-object compilation
......@@ -132,7 +132,7 @@ moc_verbose__0 = $(moc_verbose_0)
# These MOC files depend on the configure settings:
dialogs_provider.moc.cpp dialogs/vlm.moc.cpp: $(top_builddir)/config.h
nodist_libqt4_plugin_la_SOURCES = \
nodist_libqt_plugin_la_SOURCES = \
main_interface.moc.cpp \
menus.moc.cpp \
dialogs_provider.moc.cpp \
......@@ -202,7 +202,7 @@ nodist_libqt4_plugin_la_SOURCES = \
util/buttons/BrowseButton.moc.cpp \
styles/seekstyle.moc.cpp
nodist_libqt4_plugin_la_SOURCES += \
nodist_libqt_plugin_la_SOURCES += \
ui/equalizer.h \
ui/video_effects.h \
ui/open_file.h \
......@@ -234,7 +234,7 @@ uic_verbose__0 = $(uic_verbose_0)
MOC_CPPFLAGS = $(DEFS) \
-I$(top_srcdir)/include -I$(top_builddir)/include -I$(top_builddir) \
$(libqt4_plugin_la_CPPFLAGS)
$(libqt_plugin_la_CPPFLAGS)
if HAVE_DARWIN
MOC_CPPFLAGS += -DQ_OS_MAC
endif
......@@ -242,7 +242,7 @@ if HAVE_WIN32
MOC_CPPFLAGS += -D_WIN32
endif
libqt4_plugin_la_UI = \
libqt_plugin_la_UI = \
ui/equalizer.ui \
ui/video_effects.ui \
ui/open_file.ui \
......@@ -264,7 +264,7 @@ libqt4_plugin_la_UI = \
ui/sout.ui \
ui/vlm.ui \
ui/fingerprintdialog.ui
EXTRA_DIST = $(libqt4_plugin_la_UI)
EXTRA_DIST = $(libqt_plugin_la_UI)
.ui.h:
$(AM_V_at)mkdir -p -- ui
......@@ -413,10 +413,10 @@ DEPS_res = \
pixmaps/lock.png
EXTRA_DIST += vlc.qrc $(DEPS_res)
nodist_libqt4_plugin_la_SOURCES += resources.cpp
nodist_libqt_plugin_la_SOURCES += resources.cpp
resources.cpp: vlc.qrc $(DEPS_res)
$(AM_V_GEN)$(RCC) -name vlc -o $@ $<
BUILT_SOURCES += $(nodist_libqt4_plugin_la_SOURCES)
BUILT_SOURCES += $(nodist_libqt_plugin_la_SOURCES)
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment